You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@directory.apache.org by bd...@apache.org on 2023/12/15 05:07:14 UTC
(directory-scimple) branch fix-site-build created (now 54761c72)
This is an automated email from the ASF dual-hosted git repository.
bdemers pushed a change to branch fix-site-build
in repository https://gitbox.apache.org/repos/asf/directory-scimple.git
at 54761c72 Maven Site now generates
This branch includes the following new commits:
new 54761c72 Maven Site now generates
The 1 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "add" were already present in the repository and have only
been added to this reference.
(directory-scimple) 01/01: Maven Site now generates
Posted by bd...@apache.org.
This is an automated email from the ASF dual-hosted git repository.
bdemers pushed a commit to branch fix-site-build
in repository https://gitbox.apache.org/repos/asf/directory-scimple.git
commit 54761c7258f54e2c506ade69f17d0e3329ae39c3
Author: Brian Demers <bd...@apache.org>
AuthorDate: Fri Dec 15 00:06:58 2023 -0500
Maven Site now generates
We really only need the javadoc, but it works now
---
pom.xml | 23 ++++++++++++++++++++++-
1 file changed, 22 insertions(+), 1 deletion(-)
diff --git a/pom.xml b/pom.xml
index 719c1760..1fae6718 100644
--- a/pom.xml
+++ b/pom.xml
@@ -28,7 +28,7 @@
<artifactId>scim-parent</artifactId>
<version>1.0.0-SNAPSHOT</version>
<packaging>pom</packaging>
- <name>SCIMple - Parent</name>
+ <name>SCIMple</name>
<description>Apache Directory SCIMple - Jakarta EE implementation of the SCIM version 2.0 specification (RFC7642, RFC7643 and RFC7644)</description>
<url>https://github.com/apache/directory-scimple</url>
@@ -417,6 +417,11 @@
</execution>
</executions>
</plugin>
+ <plugin>
+ <groupId>org.apache.maven.plugins</groupId>
+ <artifactId>maven-site-plugin</artifactId>
+ <version>4.0.0-M12</version>
+ </plugin>
</plugins>
<pluginManagement>
@@ -656,6 +661,22 @@
</pluginManagement>
</build>
+ <reporting>
+ <plugins>
+ <plugin>
+ <groupId>org.apache.maven.plugins</groupId>
+ <artifactId>maven-javadoc-plugin</artifactId>
+ <reportSets>
+ <reportSet>
+ <reports>
+ <report>aggregate</report>
+ </reports>
+ </reportSet>
+ </reportSets>
+ </plugin>
+ </plugins>
+ </reporting>
+
<profiles>
<profile>
<id>ci</id>